System.Web 2.0.0.0 System.MarshalByRefObject

The object provides lifetime management of objects in the hosting environment for an ASP.NET application. It is responsible for:

Activating and initializing ASP.NET applications.

Managing the application lifetime and the lifetime of objects registered in the application.

Exposing objects used by the hosting environment to process ASP.NET application requests.

Providing a list of applications running in the hosting process at any given moment.

Manages ASP.NET application domains for an ASP.NET hosting application.

- Method
  System.Void

  If a call to the method reduces the reference count of applications using the application manager to 0, the method calls the method.

  Shuts down all application domains.

  2.0.0.0
- Method
  System.Web.Hosting.IRegisteredObject `` `` `` `` ``

  The method is used to create and register objects in the application. Only one object of each type can be created. If you need to create multiple objects of the same type, you must implement an object factory. For more information, see the code example in this topic.

  Each application, identified by a unique application identifier, runs in its own application domain. The method creates an object of the specified type in the application domain of the application specified in the parameter. If an application domain does not exist for the specified application, one is created before the object is created.

  The parameter controls the behavior of the method when an object of the specified type already exists in the application. When is true, the method throws an exception.

  When is false, the method returns the existing registered object of the specified type.

  The method calls the overload that takes an additional parameter with set to false.

  Creates an object for the specified application domain based on type, virtual and physical paths, and a Boolean value indicating failure behavior when an object of the specified type already exists.

  A new object of the specified .

  The unique identifier for the application that owns the object. The type of the object to create. The virtual path to the application. The physical path to the application. true to throw an exception if an object of the specified type is currently registered; false to return the existing registered object of the specified type. 2.0.0.0
- Method
  System.Web.Hosting.IRegisteredObject `` `` `` `` `` ``

  This overload of the method provides the parameter, which allows you to control whether hosting initialization exceptions are thrown. The overload of the method that does not provide calls this overload with the parameter set to false.

  Creates an object for the specified application domain based on type, virtual and physical paths, a Boolean value indicating failure behavior when an object of the specified type already exists, and a Boolean value indicating whether hosting initialization error exceptions are thrown.

  A new object of the specified .

  The unique identifier for the application that owns the object. The type of the object to create. The virtual path to the application. The physical path to the application. true to throw an exception if an object of the specified type is currently registered; false to return the existing registered object of the specified type. true to throw exceptions for hosting initialization errors; false to not throw hosting initialization exceptions. 2.0.0.0
- Method
  System.Web.Hosting.ApplicationManager

  Only one instance of the object is created by an ASP.NET host process in the default application domain. If an instance of the class is not available, the method first creates an instance of the class and then returns the newly created object. If an instance of the class was previously created, the method returns the existing object.

  Returns the single instance of the object associated with this ASP.NET host process.

  The single instance of the object associated with the ASP.NET host process that is running.

  2.0.0.0
- Method
  System.Web.Hosting.IRegisteredObject `` `` To be added.

  Returns the registered object of the specified type from the specified application.

  The registered object of the specified type; or null if the type has not been registered through a call to the method.

  The unique identifier for the application that owns the object. The type of the object to return. 2.0.0.0
- Method
  System.Web.Hosting.ApplicationInfo[] To be added.

  Returns a snapshot of running applications.

  An array of objects that contain information about the applications managed by this instance.

  2.0.0.0
- Method
  System.Object

  This method overrides the method in its base class. It always returns null and thereby prevents a lease from being created that would limit the application domain's lifetime.

  Gives the application domain an infinite lifetime by preventing a lease from being created.

  Always null.

  2.0.0.0
- Method
  System.Boolean

  The method returns true if all applications hosted by the process are idle.

  Returns a value indicating whether all applications hosted by the process are idle and not processing requests.

  true if all applications in the process are idle; otherwise, false.

  2.0.0.0
- Method
  System.Void To be added.

  Makes a thread-safe increment to the user reference count of the application manager instance.

  2.0.0.0
- Method
  System.Void

  Calling the method is equivalent to calling the method in all application domains managed by this instance; however, the method can be called from outside the managed application domains.

  Unloads all application resources.

  2.0.0.0
- Method
  System.Void ``

  Calling the method is equivalent to calling the method for a specific application domain; however, the method can be called from outside managed application domains.

  Unloads the specified application.

  The unique identifier of the application to unload. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Removes the specified object from the list of registered objects in an application. If the object to be removed is the last remaining object in the list of registered objects in an application, the application is unloaded.

  The unique identifier for the application that owns the object. The type of the object to unload. 2.0.0.0